Bug 819324 - 3.1 - vdsm: cannot obtain lock error when trying to import iso domain
3.1 - vdsm: cannot obtain lock error when trying to import iso domain
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Federico Simoncelli
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-06 11:53 EDT by Dafna Ron
Modified: 2014-07-01 07:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 04:03:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (494.19 KB, application/octet-stream)
2012-05-06 12:11 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-05-06 11:53:52 EDT
Description of problem:

trying to attach an iso domain to pool I got an error: 

AcquireLockFailure: Cannot obtain lock: "id=eebcad17-cbf7-4098-880d-81e2c2504169, rc=1, out=['error - lease file does not exist or is not writeable'

please close this bug as duplicate is this is clone of: 818632

I think that it is a clone since I ran reconstruct master when putting domains in maintenance which is similar to the other scenario. 


Version-Release number of selected component (if applicable):

vdsm-4.9.6-9.el6.x86_64
si3

How reproducible:


Steps to Reproduce:
1. put master domain in maintenance when there are two domain
2. deactivate all domain
3. activate master domain 
4. try to attach an iso domain 
  
Actual results:

we get a cannot obtain lock on iso domain 

Expected results:

we should be able to attach the iso to pool


Additional info: logs
Comment 1 Dafna Ron 2012-05-06 12:11:54 EDT
Created attachment 582474 [details]
log
Comment 2 RHEL Product and Program Management 2012-05-10 00:04:21 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 3 Federico Simoncelli 2012-05-25 05:44:15 EDT
(In reply to comment #0)
> Description of problem:
> 
> trying to attach an iso domain to pool I got an error: 
> 
> AcquireLockFailure: Cannot obtain lock:
> "id=eebcad17-cbf7-4098-880d-81e2c2504169, rc=1, out=['error - lease file
> does not exist or is not writeable'

Did you check if the lease file was present and if it was accessible?
Could you try to reproduce to see if it was just a problem of that specific iso domain?
Comment 5 Federico Simoncelli 2012-07-23 04:03:06 EDT
Two months passed and we didn't hear any other report on this. The current vdsm version is vdsm-4.9.6-23.0.el6_3. Feel free to reopen (but make sure that you are reproducing with safelease).

Note You need to log in before you can comment on or make changes to this bug.